Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class CreateGroupTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.CreateGroupTag

public class CreateGroupTag
extends ResultTag

Corresponds to `<um:createGroup>`.

The `<um:createGroup>` tag creates a new `com.beasys.commerce.axiom.contact.Group` object. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
groupName | yes | String | The name of the new group. Example: "`<%=groupName%>`"
id | no | String | A variable name to which the created Group object is available for the duration of the page's scope.
parentName | no | String | The new group name.
result | yes | String | The name of an Integer variable to which the result of the create group operation is assigned. Possible values: Success: `UserManagerTagConstants.CREATE_GROUP_OK` Error Encountered: `UserManagerTagConstants.CREATE_GROUP_FAILED` A group with the specified group name already exists: `UserManagerTagConstants.GROUP_EXISTS`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CreateGroupTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to create the new group, and optionally add it to the specified parent group.
`java.lang.String` | `getGroupName()` Get the name of the group to create
`java.lang.String` | `getParentName()` Get the name of the group to add the new group to
`void` | `release()` Reset tag attributes
`void` | `setGroupName(java.lang.String groupName)` Set the name of the group to create
`void` | `setParentName(java.lang.String parentName)` Set the name of the group to add the new group to

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateGroupTag

    public CreateGroupTag()

Method Detail

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Set the name of the group to create

### getGroupName

    public java.lang.String getGroupName()

  Get the name of the group to create

### setParentName

    public void setParentName(java.lang.String parentName)

  Set the name of the group to add the new group to

### getParentName

    public java.lang.String getParentName()

  Get the name of the group to add the new group to

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to create the new group, and optionally add it to the specified parent group.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset tag attributes

  Overrides:
    release in class ResultTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved